function [ global_search_option, local_search_option ] = jz_sbioEnsemCheckOption( global_search_option )

local_search_option = optimset('lsqnonlin');
local_search_option.Display = 'off';
local_search_option.MaxIter = 6;
local_search_option.TolFun = 1e-5;

if rem(global_search_option.EnsembleRunNumber,global_search_option.QuasiIterPopulation) ~= 0
    warning('MATLAB:paramAmbiguous', 'The specified global_search_option.EnsembleRunNumber should be multiple of global_search_option.QuasiIterPopulation');
    global_search_option.EnsembleRunNumber = global_search_option.QuasiIterPopulation * ( fix(global_search_option.EnsembleRunNumber/global_search_option.QuasiIterPopulation) + 1 );
    display(['The value of global_search_option.EnsembleRunNumber has been modified to ' global_search_option.EnsembleRunNumber]);
end

if global_search_option.MatlabPoolSize > 1
    global_search_option.UseParallel = 'yes';
else
    global_search_option.UseParallel = 'no';
    global_search_option.ClearMemoryStep = inf;
end

end
