function [ sim_result_data ] = jz_sbioEnsemMultiModelOptim( sbioproject, fitting_value, variant_initial_value, lower_bound, upper_bound, options, use_parallel )

sim_result_data(size(variant_initial_value,1),1) = struct( 'SamplParameter',[], 'SamplResNorm',[], 'OptParameter',[], 'OptResNorm',[] );

if strcmpi(use_parallel,'yes')
    parfor t_run = 1:size(variant_initial_value,1)
        m_sbioModels = sbioloadproject(sbioproject);
        t_sim_result_data = struct( 'SamplParameter',[], 'SamplResNorm',[], 'OptParameter',[], 'OptResNorm',[] );
        t_sim_result_data.SamplParameter = variant_initial_value(t_run,:);
        t_sim_result_data.SamplResNorm = sum( jz_sbioEnsemMultiModelRun( m_sbioModels, variant_initial_value(t_run,:), fitting_value ) .^ 2 );
        optFun = @(x)jz_sbioEnsemMultiModelRun(m_sbioModels, x, fitting_value );
        [t_sim_result_data.OptParameter, t_sim_result_data.OptResNorm] = lsqnonlin( optFun, variant_initial_value(t_run,:), lower_bound, upper_bound, options);
        sim_result_data(t_run) = t_sim_result_data;
    end
else
    optFun = @(x)jz_sbioEnsemMultiModelRun( sbioproject, x, fitting_value );
    for t_run = 1:size(variant_initial_value,1)
        sim_result_data(t_run).SamplParameter = variant_initial_value(t_run,:);
        sim_result_data(t_run).SamplResNorm = sum( jz_sbioEnsemMultiModelRun( sbioproject, variant_initial_value(t_run,:), fitting_value ) .^ 2 );
        [sim_result_data(t_run).OptParameter, sim_result_data(t_run).OptResNorm] = lsqnonlin( optFun, variant_initial_value(t_run,:), lower_bound, upper_bound, options);
    end
end

end
