% See the usage of HQEM
help hqem;

% Load the data for fitting
load test_models_data;

% Load the systems biology models
sbioloadproject test_models;
sbioModels.m1 = m1;
sbioModels.m2 = m2;

% Set the fitting data
fitting_value.m1.target_species_name = {'AuroraA_pT288','PLK1_pT210'};
fitting_value.m1.time_span = time;
fitting_value.m1.target_species_value = [model1_aurora, model1_plk1];
fitting_value.m1.target_species_value_scale = 1;

fitting_value.m2.target_species_name = {'PLK1_pT210'};
fitting_value.m2.time_span = time;
fitting_value.m2.target_species_value = model2_plk1;
fitting_value.m2.target_species_value_scale = 1;

% Run HQEM in parallel
search_option_parallel = struct('LowerBound',lowerbound,'UpperBound',upperbound, ...
'IntermediateFileName','test_fitting_result','MatlabPoolSize',8,'ClearMemoryStep',500, ...
'EnsembleRunNumber',1000,'QuasiIterPopulation',100);
[parameter_sets1,error1] = hqem( sbioModels, sbioModels.m1.variant(1), fitting_value, search_option_parallel );

% Run HQEM in single CPU
search_option_single = struct('LowerBound',lowerbound,'UpperBound',upperbound, ...
'IntermediateFileName','test_fitting_result','MatlabPoolSize',1, ...
'EnsembleRunNumber',1000,'QuasiIterPopulation',100);
[parameter_sets2,error2] = hqem( sbioModels, sbioModels.m1.variant(1), fitting_value, search_option_single );
